﻿@font-face {
    font-family: 'Minecraft Rus';
    src: url('../fonts/minecraft-rus.ttf') format('truetype');
}

@font-face {
    font-family: 'modeseven';
    src: url('../fonts/modeseven.TTF') format('truetype');
}

.no-js #loader {
    display: none;
}

.js #loader {
    display: block;
    position: absolute;
    left: 100px;
    top: 0;
}

.se-pre-con {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('preloader.gif') center no-repeat #000;
}

body {
    text-align: justify;
    padding-top: 50px;
    padding-bottom: 20px;
    background-color: #000000;
    color: #969696;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    font-size: 2vh;
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}
.navbar-inverse {
    font-size: 1.5vh;
    border-bottom: 3px solid #ffd800;
    background-color: #29282d;
}
.navbar-inverse .navbar-brand {
    font-family: 'Minecraft Rus';
    color: #ffd800;
}

    .navbar-inverse .navbar-nav {
    font-family: 'Minecraft Rus';
}

    .navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
        color: #ffd800;
    }

.jumbotron {
    border-radius: 0px;
    margin-top: 20px;
    background-color: #29282d;
}

.container .jumbotron {
    border-radius: 0px;
    height: 100%;
    padding-bottom: 13%;
    background-size: 100%;
    background-image: url(../Content/img/background1.gif)
}

.jumbotron h1 {
    max-width: 100%;
    font-size: 9vh;
    color: #ffd800;
    width: min-content;
    margin: 0 auto;
    margin-top: 18%;
    text-align: center;
    background-color: #29282d;
    text-shadow: 4px 4px 5px #000000;
}

.jumbotron p {
    width: auto;
    font-size: 3.7vh;
    color: #9d9d9d;
    margin-top: 2%;
    text-align: center;
    text-shadow: 1px 1px 5px #000;
}

h1, h2, h3 {
    font-family: 'Minecraft Rus'
}

.row h2 {
    text-align: center;
}

hr {
    border-color: #ffd800;
}

img {
    text-align: center;
    vertical-align: middle;
    max-height: 100%;
    max-width: 100%;
    -webkit-box-shadow: 0px 0px 10px 15px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0px 0px 10px 15px rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 10px 15px rgba(0, 0, 0, 0.5);
}

.btn-default {
    color: #29282d;
    background-color: #ffd800;
    border-color: #ffd800;
}

    .btn-default:hover {
        color: #969696;
        background-color: #29282d;
        border-color: #ffd800;
    }

.fig {
    text-align: center;
    vertical-align: top;
    height: 100%;
}

#imgcont {
    width: 100%;
    margin-top: 10px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-perspective: 1000;
    perspective: 1000;
    position: relative;
}

.map {
    line-height: 300px;
    width: 200px;
    height: 300px;
    margin: 0 -25px;
    position: relative;
    background-size: cover;
    background-position: center;
    border-radius: 5px;
    -webkit-transition: .2s;
    transition: .2s;
    cursor: pointer;
    -ms-flex-align: center;
    align-items: center;
    text-align: center;
    max-width: 100%;
}

    .map:hover {
        -webkit-transition: .2s;
        transition: .2s;
        -webkit-transform: translateZ(5px) translateY(50px) scale(1.5);
        transform: translateZ(5px) translateY(50px) scale(1.5);
        overflow: visible;
    }

.map-1,
.map-4 {
    -webkit-transform: translateZ(1px);
    transform: translateZ(1px);
}

.map-2,
.map-5 {
    -webkit-transform: translateZ(2px) translateY(-5px);
    transform: translateZ(2px) translateY(-5px);
}

.map-3 {
    -webkit-transform: translateZ(3px) translateY(-10px);
    transform: translateZ(3px) translateY(-10px);
}

.map-1:hover ~ .map-2 {
    -webkit-transform: translateZ(4px) translateY(-15px);
    transform: translateZ(4px) translateY(-15px);
    -webkit-transition: .2s;
    transition: .2s;
}

.map-4 {
    -webkit-box-ordinal-group: 6;
    -ms-flex-order: 5;
    order: 5;
}

    .map-4:hover ~ .map-5 {
        -webkit-transform: translateZ(3px) translateY(-15px);
        transform: translateZ(3px) translateY(-15px);
        -webkit-transition: .1s;
        transition: .1s;
    }

.shelf {
    background: #132636;
    height: 100px;
    width: 100%;
    position: absolute;
    bottom: -75px;
    left: 0;
    -webkit-transform: translateZ(10px);
    transform: translateZ(10px);
}

#comment {
    font-size: x-large;
    font-style: italic;
    font-family: 'Minecraft Rus';
    color: #ffd800;
}

#quote {
    text-align: right;
    font-size: 3.5vh;
    font-style: italic;
    width: auto;
    float: right;
    font-family: 'Minecraft Rus';
    -webkit-animation: color-change 3s infinite;
    -moz-animation: color-change 3s infinite;
    -o-animation: color-change 3s infinite;
    -ms-animation: color-change 3s infinite;
    animation: color-change 3s infinite;
}

@-webkit-keyframes color-change {
    0%, 100% {
        color: #ffd800;
    }

    50% {
        color: #000;
    }
}

@-moz-keyframes color-change {
    0%, 100% {
        color: #ffd800;
    }

    50% {
        color: #000;
    }
}


@-ms-keyframes color-change {
    0%, 100% {
        color: #ffd800;
    }

    50% {
        color: #000;
    }
}

@-o-keyframes color-change {
    0%, 100% {
        color: #ffd800;
    }

    50% {
        color: #000;
    }
}


@keyframes color-change {

    0%, 100% {
        color: #ffd800;
    }

    50% {
        color: #000;
    }
}

#lang {
    padding: 3px;
    padding-left: 8px;
    padding-right: 8px;
    margin-top: 11px;
    border-radius: 2px;
    margin-right: 20px;
    color: black;
    max-width: 50px;
    margin-left: 13px;
    text-align: center;
}